https://github.com/curl/curl/commit/fe5f435b42a6c928b57c61db5d57f96b5c5a39be
From: Andrew <akirillo@uk.ibm.com>
Date: Wed, 2 Apr 2025 13:45:21 +0100
Subject: [PATCH] http_negotiate: fix non-SSL build with GSSAPI

Fixes #16919
Closes #16921
--- a/lib/http_negotiate.c
+++ b/lib/http_negotiate.c
@@ -110,8 +110,8 @@ CURLcode Curl_input_negotiate(struct Curl_easy *data, struct connectdata *conn,
 #endif
   /* Check if the connection is using SSL and get the channel binding data */
 #ifdef HAVE_GSSAPI
-  Curl_dyn_init(&neg_ctx->channel_binding_data, SSL_CB_MAX_SIZE + 1);
 #ifdef USE_SSL
+  Curl_dyn_init(&neg_ctx->channel_binding_data, SSL_CB_MAX_SIZE + 1);
   if(Curl_conn_is_ssl(conn, FIRSTSOCKET)) {
     result = Curl_ssl_get_channel_binding(
       data, FIRSTSOCKET, &neg_ctx->channel_binding_data);
@@ -120,6 +120,8 @@ CURLcode Curl_input_negotiate(struct Curl_easy *data, struct connectdata *conn,
       return result;
     }
   }
+#else
+  Curl_dyn_init(&neg_ctx->channel_binding_data, 1);
 #endif /* USE_SSL */
 #endif /* HAVE_GSSAPI */
 
